(327 intermediate revisions by 4 users not shown)
Line 1: Line 1:
 
<languages />
 
<languages />
=Installer Siril=
 
  
Afin d'installer Siril depuis la source, vous aurez besoin d'installer les paquetages de développement suivants : autoconf, automake, libtool, pkg-tools, make, gcc.
+
Nous maintenons les binaires de Siril pour plusieurs systèmes d'exploitation, mais en général seulement pour les versions officielles. Si votre système d'exploitation n'a pas de version binaire de Siril, vous devrez le compiler depuis [[#Installation_.C3.A0_partir_des_sources|les sources]] vous-même.
  
Siril est développé sous la distribution Arch Linux, qui comprend les toutes dernières versions de paquetages, ainsi que Linux Mint 16, une distribution relativement agée. Cela nous permet de vérifier une large gamme de versions de paquetages.
+
=Installation de Siril à partir des paquets binaires=
  
==Installer sous Debian==
+
==Debian[[File:Debian_logo.png|48px|frameless|link=|middle]]==
 +
Le paquet binaire est disponible sur les dépôts officiels Debian [https://packages.debian.org/stretch/siril testing] et [https://packages.debian.org/sid/siril unstable]. Ils doivent être installé avec les privilèges root :
 +
apt install siril
  
Debian 6 ne possède pas GTK+ version 3, vous devez donc avoir en votre possession la version 7 de Debian au minimum (Debian Wheezy). Siril utilise maintenant GTK+ 3.6 alors que "Wheezy" ne comprend que la 3.4. Pour la version bureau du système, la prochaine version stable est souvent le meilleur des choix, appelée "Debian Testing", elle est actuellement en version 8 et appelée "Debian Jessie". '''Nous maintenons un paquet debian officiel qui se trouve dans les dépôts unstable de debian. Il sera aussi disponible dans "Debian Jessie" et dans d'autres distributions basées sur Debian. Jusque-là''', ou si vous voulez compiler les dernières versions depuis la source, utilisez la procédure ci-dessous.
+
==Ubuntu & Linux Mint[[File:Ubuntu_logo.png|48px|frameless|link=|middle]][[File:LMint_logo.png|48px|frameless|link=|middle]]==
 +
===Dépôts officiels===
 +
    sudo apt-get install siril
 +
===Dépôts PPA===
 +
Sur Ubuntu 16.04 et Linux Mint 18.X, pour avoir une version plus récente mais moins stable que celle présente dans les dépôt officiels, il existe un PPA :
 +
    sudo add-apt-repository ppa:lock042/siril
 +
    sudo apt-get update
 +
    sudo apt-get install siril
  
Avant tout, vous aurez besoin de ces paquets afin d'avoir un système bien construit:
+
==OS X[[File:OSX_logo.png|48px|frameless|link=|middle]]==
  
<tt>autoconf automake make gcc libtool pkg-config</tt>
+
===Installation via Homebrew (recommandé depuis la version 0.9.5)===
  
Vous pouvez alors générer le configure script (script de configuration):
+
Un installeur officiel pour Mac existe, voir la page téléchargement. Ceci est un moyen d'installer siril à partir des sources afin de tester la version en cours de développement.
  
<tt>$ aclocal && autoconf && autoheader && automake --add-missing</tt>
+
*Supprimer Siril de macport s'il existe
 +
Si Siril a déjà été installé via macport, désinstallez le à l'aide de la commande suivante, dans le terminal (si ce n'est pas le cas, allez directement à l'étape suivante) :
 +
    cd siril
 +
    sudo make uninstall
  
Installez ensuite les '''dépendances indispensables''':
+
Il est recommandé de désinstaller macport. Pour ce faire, rendez-vous sur la page : https://guide.macports.org/chunked/installing.macports.uninstalling.html
  
<tt>libfftw3-dev libgsl0-dev libcfitsio3-dev libgtk-3-dev libconfig++-dev</tt>
+
*Installation de Homebrew
 +
Plus de détails sont disponibles sur le site web de Homebrew : https://brew.sh/
  
Finalement, vous pouvez installer les dépendances optionnelles que vous désirez:
+
Tout d'abord, installer XCode via l'App Store (logiciel libre) et installer les outils en tapant dans le terminal :
 +
    xcode-select --install
  
<tt>libpng-dev libjpeg-dev libtiff5-dev libraw-dev</tt>, pour les supports vidéos (AVI et autres): <tt>libffms2-dev</tt>, et pour le redimensionnement des images dans l'outil LRVB: <tt>libopencv-dev and g++</tt>.
+
Vous pouvez alors installer homebrew :
 +
    /usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
 +
Le script explique ce qu’il va faire, puis fait une pause avant de l’exécuter.
  
Notez que libtiff5 n'est pas compatible avec opencv dans debian 7, dans ce cas vous aurez besoin d'installer libtiff4 à la place. Dans debian 8, libjpeg8-dev a été remplacé par libjpeg62-turbo-dev, qui est aussi installé par libtiff5-dev.
+
*Installation de Siril
 +
Copier la ligne suivante dans le terminal :
 +
    brew install siril
  
Lancez alors <tt>configure</tt> et <tt>make</tt>.
+
*Mises à jour
 +
Quand une nouvelle version de Siril est disponible, recopiez cette ligne dans le terminal :
 +
    brew upgrade siril
 +
et téléchargez le nouveau fichier <code>.app</code>.
  
==Installer sous Ubuntu==
+
Bon ciel !!
  
Une liste de dépendances a été reportée pour Ubuntu 14.10, afin de construire l’exécutable depuis la source. Utilisez les commandes suivantes pour les installer:
+
[[File:Siril_on_MacOS_brew.png|600px]]
  
<tt>sudo apt-get -y install autoconf build-essential libgtk-3-dev fftw3-dev libgsl0-dev cfitsio-dev libconfig++-dev libtiff-dev libjpeg-dev libraw-dev libffms2-dev libopencv-dev</tt>
+
=Installation à partir des sources=
 +
L'installation à partir des sources est recommandée si vous désirez avoir les dernières fonctions, ou bien que votre version de dépôt commence être vieille, ou bien encore si vous voulez participer à l'amélioration de Siril. Plusieurs utilisateurs nous ont reportés des fonctions qu'ils auraient aimé voir implantées, et souvent nous l'avons rapidement fait. Il s'agit donc d'une façon d'en profiter. L'autre façon est d'utiliser les dépôts PPA d'Ubuntu, qui sont mis à jour un peu moins régulièrement.
  
Procédez alors avec la procédure habituelle et utilisez <tt>sudo make install</tt> afin d'installer Siril.
+
Les sources sont stockées dans un dépôt git et vous pouvez les télécharger avec la commande suivante :
 +
    git clone https://gitlab.com/free-astro/siril.git
 +
    cd siril
 +
    git submodule update --init
  
==Installer sous Arch Linux==
+
Et les mettre à jour en tapant <code>git pull</code> dans le terminal, dans le dossier siril.
  
[[User:Vincent|Vincent]] maintient un [https://aur.archlinux.org/packages/siril/ paquet AUR] pour Siril. Téléchargez l'archive, lancez la commande makepkg pour construire le paquet et pacman -U pour installer le paquet.
+
Ci-dessous, une liste de dépendances. Siril repose sur le système de configuration de compilation autotools, et une fois que les sources ont été téléchargées et que les dépendances ont été installées, la façon générale de procéder est la suivante :
 +
    ./autogen.sh
 +
    make
 +
    make install
 +
avec les privilèges super-utilisateur.
  
==Installer sous MacOS==
+
Vous voudrez peut-être passer des options spécifiques au compilateur, par exemple si vous voulez optimiser et installer Siril dans /opt au lieu du dossier par défaut /usr/local:
 +
    CFLAGS='-mtune=native -O3' ./autogen.sh --prefix=/opt
 +
Pour lancer Siril, le nom de la commande est <code>siril</code>.
  
Installation de SIRIL sous Mac OS X 10.10 (Yosemite).
+
==Dépendances==
 +
Siril dépend d'un certain nombre de librairies dont la plupart devrait être disponible dans les dépôts de votre OS s'il est assez récent. Les noms des paquets spécifiques à chaque OS sont listés dans les paragraphes suivants. Les dépendances obligatoires sont :
 +
* [http://www.gtk.org/ gtk+-3] (bibliothèque de l'interface graphique), au moins en version 3.16
 +
* [http://heasarc.nasa.gov/fitsio/fitsio.html cfitsio] (support des images FITS)
 +
* [http://www.fftw.org/ fftw] (pour le calcul des transformés des Fourier)
 +
* [http://www.gnu.org/software/gsl/ gsl] (la bibliothèque scientifique de GNU)
 +
* [http://www.hyperrealm.com/libconfig/ libconfig] (pour le fichier de configuration)
 +
* [http://opencv.org/ OpenCV] et par conséquent un compilateur C++ pour les opérations sur les images.
 +
* [https://www.exiv2.org/ Exiv2] pour les métadonnées des images.
 +
 
 +
''Note :'' même si Siril [[Siril:0.9.9/fr|0.9.9]] peut se lancer en console, il est toujours lié aux bibliothèques graphiques. Il est donc toujours nécessaire d'installer GTK+ pour le compiler ou l'exécuter.
 +
 
 +
Les dépendances optionnelles sont :
 +
* [http://www.libraw.org/ libraw], [http://www.libtiff.org/ libtiff], [http://libjpeg.sourceforge.net/ libjpeg], [http://libpng.sourceforge.net/index.html libpng], [https://github.com/strukturag/libheif libheif] pour le support des formats RAW, TIFF, JPEG, PNG et HEIF. Les librairies sont détectées pendant la compilation.
 +
* [https://github.com/FFMS/ffms2 FFMS2] pour le support des vidéos. Cette librairie permet également également d'extraire les images des vidéos pour des besoins autres qu'astronomique. Les version < 2.20 possèdent un bug assez gênant. Il est par conséquent recommandé d'installer la dernière version.
 +
* [https://curl.haxx.se/libcurl/ libcurl] pour la vérification en ligne de la disponibilité d'une nouvelle version de Siril.
 +
* [http://www.gnuplot.info gnuplot] pour les graphiques en photométrie. N'est pas nécessaire au moment de la compilation.
 +
 
 +
===Paquets de dépendance===
 +
Pour installer Siril à partir des sources, vous devez installer des paquets nécessaires à la compilation :
 +
    git, autoconf, automake, libtool, intltool, pkg-tools, make, gcc, g++
 +
Les compilateurs gcc et g++ peuvent être remplacé par clang et clang++.
 +
 
 +
==Installation sous Debian[[File:Debian_logo.png|48px|frameless|link=|middle]]==
 +
Pour une utilisation de bureau, la version testing est probablement le meilleur choix. La version actuelle est la 10, nom de code ''Buster''. Sinon, Siril devrait encore fonctionner avec Debian 8 ''Jessie'' et 9 ''Stretch''. Vous voudriez peut-être créer un package .deb au lieu d'utiliser une version non-packagée, dans ce cas, voir [https://wiki.debian.org/BuildingTutorial cette aide]. En particulier, pour installer les dépendances, la commande suivante est très utile:
 +
    apt build-dep siril
 +
 
 +
Sinon, voici une liste des paquets pour la version actuelle:
 +
* Paquets requis pour la compilation :
 +
    autoconf automake make gcc g++ libtool intltool pkg-config
 +
 
 +
* Liste des paquets obligatoires :
 +
    libfftw3-dev libgsl0-dev libcfitsio3-dev libgtk-3-dev libconfig-dev libopencv-dev
 +
 
 +
* Liste des paquets optionnels mais recommandés :
 +
    libcurl4-gnutls-dev libpng-dev libjpeg-dev libtiff5-dev libraw-dev
 +
pour les vidéos (AVI et autres) : <code>libffms2-dev</code>.
 +
 
 +
Notez que <code>libtiff5</code> n'est pas compatible avec OpenCV dans debian 7, dans ce cas vous aurez besoin d'installer <code>libtiff4</code> à la place. Dans debian 8, <code>libjpeg8-dev</code> a été remplacé par <code>libjpeg62-turbo-dev</code>, qui est aussi installé par <code>libtiff5-dev</code>.
 +
 
 +
 
 +
'''For debian 10 and siril 1.0''', here's a complete list of packages to install to build from git (adding git, cmake, libexiv2-dev):
 +
    git autoconf automake make gcc g++ libtool intltool pkg-config cmake libfftw3-dev libgsl-dev libcfitsio-dev libgtk-3-dev libconfig-dev libopencv-dev libcurl4-gnutls-dev libpng-dev libjpeg-dev libtiff5-dev libraw-dev libavformat-dev libavutil-dev libavcodec-dev libswscale-dev libswresample-dev libexiv2-dev
 +
 
 +
For the float branch, and soon the master, a submodule must be initialised before calling autogen:
 +
    $ git submodule update --init
 +
 
 +
==Installation sous Ubuntu & Linux Mint[[File:Ubuntu_logo.png|48px|frameless|link=|middle]][[File:LMint_logo.png|48px|frameless|link=|middle]]==
 +
Une liste de dépendance a été reportée afin de construire un exécutable à partir des sources. Utilisez la commande suivante pour les installer:
 +
*Ubuntu 14.04 & Linux Mint 17.X
 +
    sudo apt-get -y install automake autoconf build-essential intltool libgtk-3-dev fftw3-dev libgsl0-dev libcfitsio3-dev libconfig++-dev libtiff-dev libjpeg-dev libraw-dev libffms2-dev libopencv-dev libcurl4-gnutls-dev
 +
*Ubuntu 16.04 & Linux Mint 18.X
 +
    sudo apt-get -y install automake autoconf build-essential intltool libgtk-3-dev fftw3-dev libgsl-dev libcfitsio3-dev libconfig++-dev libtiff-dev libjpeg-dev libraw-dev libffms2-dev libopencv-dev libcurl4-gnutls-dev
 +
*Ubuntu 18.04 & Linux Mint 19.X
 +
    sudo apt -y install automake autoconf build-essential intltool libgtk-3-dev libfftw3-dev libgsl-dev libcfitsio-dev libconfig++-dev libtiff-dev libjpeg-dev libraw-dev libffms2-dev libopencv-dev libcurl4-gnutls-dev
 +
 
 +
Exécutez ensuite la procédure habituelle :
 +
    ./autogen.sh
 +
    make
 +
    sudo make install
 +
 
 +
==Installation sous Fedora[[File:Fedora_logo.png|48px|frameless|link=|middle]]==
 +
    dnf install intltool libconfig-devel gtk3-devel fftw3-devel gsl-devel cfitsio-devel LibRaw-devel opencv-devel curl-devel autoconf automake
 +
 
 +
Puis appliquez la procédure normale :
 +
    ./autogen.sh
 +
    make
 +
et avec les privilèges super utilisateurs
 +
    make install
 +
 
 +
==Installing on Arch Linux[[File:Arch_logo.png|48px|frameless|link=|middle]]==
 +
[[User:Vincent|Vincent]] maintient un [https://aur.archlinux.org/packages/siril/ paquet AUR des releases] et un autre pour [https://aur.archlinux.org/packages/siril-git/ la version de développement] pour Siril. Téléchargez le PKGBUILD ou clonez le dépôt, installez les dépendances, lancez la commande makepkg pour construire le paquet et pacman -U pour installer le paquet.
 +
 
 +
    pacman -S base-devel cmake git intltool gtk3 fftw cfitsio gsl libconfig opencv exiv2 libheif libraw
 +
 
 +
==Installing on FreeBSD 10[[File:FreeBSD_logo.png|48px|frameless|link=|middle]]==
 +
La liste des dépendances est quasiment la même que pour les autres OS, ci-dessous la liste des dépendances :
 +
 
 +
    pkg install autotools gmake pkgconf libtool intltool gettext libconfig gtk3 fftw3 gsl cfitsio libraw opencv curl
 +
 
 +
Le seul paquet qui n'est pas disponible sous forme de binaire est [https://github.com/FFMS/ffms2 ffms2], pour gérer les vidéos vous aurez besoin de compiler la librairie à partir des sources.
 +
 
 +
La compilation et le programme fonctionnent bien avec le compilateur par défaut clang (<code>cc</code>).
 +
Avec l'arrivée de clang 3.8 dans FreeBSD 10 qui a le support d'OpenMP (clang38 dans pkg),  Siril peut être compilé avec la ligne de commande suivante :
 +
    C=clang38 CXX=clang++38 LD=clang++38 LDFLAGS='-L/usr/local/llvm38/lib' ./autogen.sh
 +
 
 +
Il est possible d'installer gcc48 ou gcc5 dans FreeBSD et de passer les options de compilation à la commande de configuration. Pour cela, assurez vous de bien faire le lien avec le compilateur officiel, cc ou c++ et non pas gcc ou g++ sinon le binaire produit sera corrompu. C'est aussi pourquoi l'option <code>-lgomp</code> est requise.
 +
 
 +
    CC=gcc5 LDFLAGS="-Wl,-rpath=/usr/local/lib/gcc5 -L/usr/local/lib/gcc5 -lgomp" ./autogen.sh
 +
 
 +
[[File:Siril_on_FreeBSD.png|600px]]
 +
 
 +
==Installation sous Mac OS X[[File:OSX_logo.png|48px|frameless|link=|middle]]==
 +
 
 +
===Méthode obsolète, via macport===
  
 
Installez XCode via App Store (logiciel libre)
 
Installez XCode via App Store (logiciel libre)
Line 50: Line 174:
 
Installez XQuartz via http://xquartz.macosforge.org/landing/ (logiciel libre)
 
Installez XQuartz via http://xquartz.macosforge.org/landing/ (logiciel libre)
  
Installez l'outil de ligne de commande en tapant dans un Terminal: <tt>xcode-select --install</tt>
+
Installez l'outil de ligne de commande en tapant dans un Terminal: <code>xcode-select --install</code>
  
 
Installez le logiciel MacPorts (libre) : http://www.macports.org (Suivez les instructions d'installation sur ce site).
 
Installez le logiciel MacPorts (libre) : http://www.macports.org (Suivez les instructions d'installation sur ce site).
  
Ce qui suit s'effectue dans un Terminal. Tout d'abord, installez quelques bibliothèques (libraries):
+
Ce qui suit s'effectue dans un Terminal. Tout d'abord, installez quelques bibliothèques (librairies):
<tt> <br /> sudo port install automake <br /> sudo port install autoconf <br /> sudo port install gtk3 <br /> sudo port install gnome-icon-theme <br /> sudo port install librsvg <br /> sudo port install cfitsio <br /> sudo port install fftw-3 <br /> sudo port install gsl <br /> sudo port install libconfig</tt>
+
    sudo port install gcc49
 +
    sudo port install automake
 +
    sudo port install autoconf
 +
    sudo port install gtk3
 +
    sudo port install gnome-themes-standard
 +
    sudo port install librsvg
 +
    sudo port install cfitsio
 +
    sudo port install fftw-3
 +
    sudo port install gsl
 +
    sudo port install libconfig-hr
 +
    sudo port install gnome-font-viewer
  
Vous pouvez aussi installez des bibliothèques optionnelles (recommandé) :
+
Maintenant nous voulons permettre a cfitsio d'être multi-thread. Pource faire allez dans le répertoire :
<tt> <br /> sudo port install libraw <br /> sudo port install tiff <br /> sudo port install jpeg [NB : à ce jour cette bibliothèque (librarie) ne semble pas être correctement gérée par SIRIL sous Mac] <br /> sudo port install libpng <br /> sudo port install opencv</tt> <br />
+
    /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/science/cfitsio
  
Installez la bibliothèque ffms2 qui n'est pas présente dans MacPorts. Téléchargez-la ici: https://github.com/FFMS/ffms2, en vous plaçant dans le dossier de ffms2, entrez depuis le terminal: <br /> <tt>./configure --prefix=/opt/local<br /> make<br /> sudo make install</tt>
+
Editer le fichier :
 +
Portfile
 +
 
 +
Changer la ligne
 +
    configure.cflags    -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
 +
par
 +
    configure.cflags    -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_REENTRANT
 +
 
 +
Puis:
 +
    sudo port uninstall cfitsio
 +
    sudo port -s install cfitsio
 +
 
 +
Vous pouvez aussi installer des bibliothèques optionnelles (recommandé) :
 +
    sudo port install libraw
 +
    sudo port install tiff
 +
    sudo port install libpng
 +
    sudo port install opencv
 +
 
 +
Maintenant vous pouvez installer manuellement libjpeg (si vous voulez travailler avec des images JPEG) :
 +
    curl --remote-name http://www.ijg.org/files/jpegsrc.v9a.tar.gz
 +
    tar -xzvf jpegsrc.v9a.tar.gz
 +
    cd jpeg-9a
 +
    ./configure --prefix=/usr/local
 +
    make
 +
    sudo make install
 +
 
 +
Maintenant vous pouvez installer manuellement giflib, pour pouvoir exporter des images GIF, qui est trop vieux dans macport:
 +
Téléchargez les sources de giflib ici
 +
    https://sourceforge.net/projects/giflib/
 +
 
 +
et mettez les fichiers dans votre répertoire utilisateur
 +
    tar -jxvf giflib-5.1.2.tar.bz2
 +
    cd giflib-5.1.2
 +
    ./configure
 +
    make
 +
    sudo make install
 +
 
 +
Installez la bibliothèque ffms2 qui n'est pas présente dans MacPorts. Téléchargez-la ici: https://github.com/FFMS/ffms2, en vous plaçant dans le dossier de ffms2, entrez depuis le terminal :
 +
    ./configure --prefix=/opt/local
 +
    make
 +
    sudo make install
  
 
Téléchargez les sources de SIRIL
 
Téléchargez les sources de SIRIL
 +
    svn co https://free-astro.org/svn/siril/branches/0.9/ siril
 +
Dans le terminal, allez dans le dossier siril :
 +
    cd siril
 +
Générez le fichier configure en tapant :
 +
    ./autogen.sh
 +
    make
 +
Pour installer Siril, utilisez l'habituel :
 +
    sudo make install
 +
Lancer Siril:
 +
    siril
 +
Enjoy!
  
<tt>svn co https://free-astro.vinvin.tf/svn/siril/</tt> (svn : un client "subversion")
+
[[File:Siril_on_MacOS.png|600px]]
 +
 
 +
==Installation sous Windows==
 +
 
 +
Ces instructions permettent de compiler siril sur Windows avec MSYS2. Cela ne fonctionne pas avec les systèmes de fichiers FAT et Windows XP, et pas très bien avec les systèmes 32 bits.
 +
 
 +
[https://www.msys2.org/ Téléchargez MSYS2 64 bits], une distribution logicielle et une plate-forme de construction pour Windows et exécutez le programme d'installation - "'''x86_64'''" pour 64 bits. Lorsque vous y êtes invité, spécifiez le répertoire dans lequel '''MSYS2 64bit''' sera installé.
 +
 
 +
N'exécutez pas MSYS2 à partir du programme d'installation, fermez-le et exécutez MSYS2 64 bits (MINGW64BIT) à partir du menu Démarrer ou du raccourci.
 +
 
 +
Tout d’abord, mettez à jour la base de données de packages et les packages du système principal en les tapant (pour plus d’informations sur pacman, voir [https://wiki.archlinux.org/index.php/pacman cette page]):
  
Dans le dossier siril/src, éditez le Makefile.am et supprimez (deux fois) le fil "-export-dynamic"
+
    pacman -Syu
  
Dans le terminal, placez-vous dans le dossier de siril:
+
'''Installation des dépendances:'''
  
<tt>cd siril</tt>
+
    pacman -S --needed base-devel mingw-w64-x86_64-toolchain mingw-w64-x86_64-cmake
 +
    pacman -S git automake
 +
    pacman -S mingw-w64-x86_64-fftw mingw-w64-x86_64-gsl
 +
    pacman -S mingw-w64-x86_64-cfitsio mingw-w64-x86_64-gtk3
 +
    pacman -S mingw-w64-x86_64-libconfig mingw-w64-x86_64-opencv
 +
    pacman -S mingw-w64-x86_64-libraw mingw-w64-x86_64-ffms2
 +
    pacman -S mingw-w64-x86_64-curl mingw-w64-x86_64-exiv2
  
Générez le fichier de configuration, appelé configure file, en tapant:
+
'''Compiler Siril à partir des sources:'''
  
<tt>aclocal && autoconf && autoheader && automake --add-missing</tt>
+
Le code source est stocké sur un dépôt de gitlab, vous pouvez le télécharger avec cette commande la première fois :
 +
    git clone https://gitlab.com/free-astro/siril.git
 +
    cd siril
 +
    git submodule update --init
  
Tapez ensuite <tt>./configure</tt> et <tt>make</tt>. Pour installer Siril, utilisez la commande habituelle:
+
Dans le terminal, allez dans le dossier siril :
 +
    cd siril
 +
Compilez le code en tapant :
 +
    ./autogen.sh
 +
    make all install
  
<tt>sudo make install</tt>
+
'''Lancez Siril:'''
 
 
Lancez SIRIL avec cette simple commande :
 
  
<tt>siril</tt>
+
Exécutez MSYS2 64bit et taper la commande:
 
+
    siril
Enjoy !
 
  
[[File:Siril_on_MacOS.png|600px]]
+
Vous pouvez également créer un raccourci vers siril.exe pour le démarrer. L’emplacement par défaut est /mingw64/bin/.
 +
 
 +
'''Pour mettre à jour la version :'''
 +
 
 +
Exécutez MSYS2 64bit et
 +
    pacman -Syu
 +
    cd siril
 +
    git pull --recurse-submodules
 +
    make all install
 +
 
 +
Si ''git pull'' ne montre aucun changement, il n'est pas nécessaire d'exécuter la commande ''make''.

Latest revision as of 14:18, 23 May 2020

Other languages:
English • ‎français • ‎italiano

Nous maintenons les binaires de Siril pour plusieurs systèmes d'exploitation, mais en général seulement pour les versions officielles. Si votre système d'exploitation n'a pas de version binaire de Siril, vous devrez le compiler depuis les sources vous-même.

Installation de Siril à partir des paquets binaires

DebianDebian logo.png

Le paquet binaire est disponible sur les dépôts officiels Debian testing et unstable. Ils doivent être installé avec les privilèges root :

apt install siril

Ubuntu & Linux MintUbuntu logo.pngLMint logo.png

Dépôts officiels

   sudo apt-get install siril

Dépôts PPA

Sur Ubuntu 16.04 et Linux Mint 18.X, pour avoir une version plus récente mais moins stable que celle présente dans les dépôt officiels, il existe un PPA :

   sudo add-apt-repository ppa:lock042/siril
   sudo apt-get update
   sudo apt-get install siril

OS XOSX logo.png

Installation via Homebrew (recommandé depuis la version 0.9.5)

Un installeur officiel pour Mac existe, voir la page téléchargement. Ceci est un moyen d'installer siril à partir des sources afin de tester la version en cours de développement.

  • Supprimer Siril de macport s'il existe

Si Siril a déjà été installé via macport, désinstallez le à l'aide de la commande suivante, dans le terminal (si ce n'est pas le cas, allez directement à l'étape suivante) :

   cd siril
   sudo make uninstall

Il est recommandé de désinstaller macport. Pour ce faire, rendez-vous sur la page : https://guide.macports.org/chunked/installing.macports.uninstalling.html

  • Installation de Homebrew

Plus de détails sont disponibles sur le site web de Homebrew : https://brew.sh/

Tout d'abord, installer XCode via l'App Store (logiciel libre) et installer les outils en tapant dans le terminal :

   xcode-select --install

Vous pouvez alors installer homebrew :

   /usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"

Le script explique ce qu’il va faire, puis fait une pause avant de l’exécuter.

  • Installation de Siril

Copier la ligne suivante dans le terminal :

   brew install siril
  • Mises à jour

Quand une nouvelle version de Siril est disponible, recopiez cette ligne dans le terminal :

   brew upgrade siril

et téléchargez le nouveau fichier .app.

Bon ciel !!

Siril on MacOS brew.png

Installation à partir des sources

L'installation à partir des sources est recommandée si vous désirez avoir les dernières fonctions, ou bien que votre version de dépôt commence être vieille, ou bien encore si vous voulez participer à l'amélioration de Siril. Plusieurs utilisateurs nous ont reportés des fonctions qu'ils auraient aimé voir implantées, et souvent nous l'avons rapidement fait. Il s'agit donc d'une façon d'en profiter. L'autre façon est d'utiliser les dépôts PPA d'Ubuntu, qui sont mis à jour un peu moins régulièrement.

Les sources sont stockées dans un dépôt git et vous pouvez les télécharger avec la commande suivante :

   git clone https://gitlab.com/free-astro/siril.git
   cd siril
   git submodule update --init

Et les mettre à jour en tapant git pull dans le terminal, dans le dossier siril.

Ci-dessous, une liste de dépendances. Siril repose sur le système de configuration de compilation autotools, et une fois que les sources ont été téléchargées et que les dépendances ont été installées, la façon générale de procéder est la suivante :

   ./autogen.sh
   make
   make install

avec les privilèges super-utilisateur.

Vous voudrez peut-être passer des options spécifiques au compilateur, par exemple si vous voulez optimiser et installer Siril dans /opt au lieu du dossier par défaut /usr/local:

   CFLAGS='-mtune=native -O3' ./autogen.sh --prefix=/opt

Pour lancer Siril, le nom de la commande est siril.

Dépendances

Siril dépend d'un certain nombre de librairies dont la plupart devrait être disponible dans les dépôts de votre OS s'il est assez récent. Les noms des paquets spécifiques à chaque OS sont listés dans les paragraphes suivants. Les dépendances obligatoires sont :

  • gtk+-3 (bibliothèque de l'interface graphique), au moins en version 3.16
  • cfitsio (support des images FITS)
  • fftw (pour le calcul des transformés des Fourier)
  • gsl (la bibliothèque scientifique de GNU)
  • libconfig (pour le fichier de configuration)
  • OpenCV et par conséquent un compilateur C++ pour les opérations sur les images.
  • Exiv2 pour les métadonnées des images.

Note : même si Siril 0.9.9 peut se lancer en console, il est toujours lié aux bibliothèques graphiques. Il est donc toujours nécessaire d'installer GTK+ pour le compiler ou l'exécuter.

Les dépendances optionnelles sont :

  • libraw, libtiff, libjpeg, libpng, libheif pour le support des formats RAW, TIFF, JPEG, PNG et HEIF. Les librairies sont détectées pendant la compilation.
  • FFMS2 pour le support des vidéos. Cette librairie permet également également d'extraire les images des vidéos pour des besoins autres qu'astronomique. Les version < 2.20 possèdent un bug assez gênant. Il est par conséquent recommandé d'installer la dernière version.
  • libcurl pour la vérification en ligne de la disponibilité d'une nouvelle version de Siril.
  • gnuplot pour les graphiques en photométrie. N'est pas nécessaire au moment de la compilation.

Paquets de dépendance

Pour installer Siril à partir des sources, vous devez installer des paquets nécessaires à la compilation :

    git, autoconf, automake, libtool, intltool, pkg-tools, make, gcc, g++

Les compilateurs gcc et g++ peuvent être remplacé par clang et clang++.

Installation sous DebianDebian logo.png

Pour une utilisation de bureau, la version testing est probablement le meilleur choix. La version actuelle est la 10, nom de code Buster. Sinon, Siril devrait encore fonctionner avec Debian 8 Jessie et 9 Stretch. Vous voudriez peut-être créer un package .deb au lieu d'utiliser une version non-packagée, dans ce cas, voir cette aide. En particulier, pour installer les dépendances, la commande suivante est très utile:

   apt build-dep siril

Sinon, voici une liste des paquets pour la version actuelle:

  • Paquets requis pour la compilation :
   autoconf automake make gcc g++ libtool intltool pkg-config
  • Liste des paquets obligatoires :
   libfftw3-dev libgsl0-dev libcfitsio3-dev libgtk-3-dev libconfig-dev libopencv-dev
  • Liste des paquets optionnels mais recommandés :
   libcurl4-gnutls-dev libpng-dev libjpeg-dev libtiff5-dev libraw-dev

pour les vidéos (AVI et autres) : libffms2-dev.

Notez que libtiff5 n'est pas compatible avec OpenCV dans debian 7, dans ce cas vous aurez besoin d'installer libtiff4 à la place. Dans debian 8, libjpeg8-dev a été remplacé par libjpeg62-turbo-dev, qui est aussi installé par libtiff5-dev.


For debian 10 and siril 1.0, here's a complete list of packages to install to build from git (adding git, cmake, libexiv2-dev):

   git autoconf automake make gcc g++ libtool intltool pkg-config cmake libfftw3-dev libgsl-dev libcfitsio-dev libgtk-3-dev libconfig-dev libopencv-dev libcurl4-gnutls-dev libpng-dev libjpeg-dev libtiff5-dev libraw-dev libavformat-dev libavutil-dev libavcodec-dev libswscale-dev libswresample-dev libexiv2-dev

For the float branch, and soon the master, a submodule must be initialised before calling autogen:

   $ git submodule update --init

Installation sous Ubuntu & Linux MintUbuntu logo.pngLMint logo.png

Une liste de dépendance a été reportée afin de construire un exécutable à partir des sources. Utilisez la commande suivante pour les installer:

  • Ubuntu 14.04 & Linux Mint 17.X
   sudo apt-get -y install automake autoconf build-essential intltool libgtk-3-dev fftw3-dev libgsl0-dev libcfitsio3-dev libconfig++-dev libtiff-dev libjpeg-dev libraw-dev libffms2-dev libopencv-dev libcurl4-gnutls-dev
  • Ubuntu 16.04 & Linux Mint 18.X
   sudo apt-get -y install automake autoconf build-essential intltool libgtk-3-dev fftw3-dev libgsl-dev libcfitsio3-dev libconfig++-dev libtiff-dev libjpeg-dev libraw-dev libffms2-dev libopencv-dev libcurl4-gnutls-dev
  • Ubuntu 18.04 & Linux Mint 19.X
   sudo apt -y install automake autoconf build-essential intltool libgtk-3-dev libfftw3-dev libgsl-dev libcfitsio-dev libconfig++-dev libtiff-dev libjpeg-dev libraw-dev libffms2-dev libopencv-dev libcurl4-gnutls-dev

Exécutez ensuite la procédure habituelle :

   ./autogen.sh
   make
   sudo make install

Installation sous FedoraFedora logo.png

   dnf install intltool libconfig-devel gtk3-devel fftw3-devel gsl-devel cfitsio-devel LibRaw-devel opencv-devel curl-devel autoconf automake

Puis appliquez la procédure normale :

   ./autogen.sh
   make

et avec les privilèges super utilisateurs

   make install

Installing on Arch LinuxArch logo.png

Vincent maintient un paquet AUR des releases et un autre pour la version de développement pour Siril. Téléchargez le PKGBUILD ou clonez le dépôt, installez les dépendances, lancez la commande makepkg pour construire le paquet et pacman -U pour installer le paquet.

   pacman -S base-devel cmake git intltool gtk3 fftw cfitsio gsl libconfig opencv exiv2 libheif libraw

Installing on FreeBSD 10FreeBSD logo.png

La liste des dépendances est quasiment la même que pour les autres OS, ci-dessous la liste des dépendances :

   pkg install autotools gmake pkgconf libtool intltool gettext libconfig gtk3 fftw3 gsl cfitsio libraw opencv curl

Le seul paquet qui n'est pas disponible sous forme de binaire est ffms2, pour gérer les vidéos vous aurez besoin de compiler la librairie à partir des sources.

La compilation et le programme fonctionnent bien avec le compilateur par défaut clang (cc). Avec l'arrivée de clang 3.8 dans FreeBSD 10 qui a le support d'OpenMP (clang38 dans pkg), Siril peut être compilé avec la ligne de commande suivante :

   C=clang38 CXX=clang++38 LD=clang++38 LDFLAGS='-L/usr/local/llvm38/lib' ./autogen.sh

Il est possible d'installer gcc48 ou gcc5 dans FreeBSD et de passer les options de compilation à la commande de configuration. Pour cela, assurez vous de bien faire le lien avec le compilateur officiel, cc ou c++ et non pas gcc ou g++ sinon le binaire produit sera corrompu. C'est aussi pourquoi l'option -lgomp est requise.

   CC=gcc5 LDFLAGS="-Wl,-rpath=/usr/local/lib/gcc5 -L/usr/local/lib/gcc5 -lgomp" ./autogen.sh

Siril on FreeBSD.png

Installation sous Mac OS XOSX logo.png

Méthode obsolète, via macport

Installez XCode via App Store (logiciel libre)

Installez XQuartz via http://xquartz.macosforge.org/landing/ (logiciel libre)

Installez l'outil de ligne de commande en tapant dans un Terminal: xcode-select --install

Installez le logiciel MacPorts (libre) : http://www.macports.org (Suivez les instructions d'installation sur ce site).

Ce qui suit s'effectue dans un Terminal. Tout d'abord, installez quelques bibliothèques (librairies):

   sudo port install gcc49
   sudo port install automake
   sudo port install autoconf
   sudo port install gtk3
   sudo port install gnome-themes-standard
   sudo port install librsvg
   sudo port install cfitsio
   sudo port install fftw-3
   sudo port install gsl
   sudo port install libconfig-hr
   sudo port install gnome-font-viewer

Maintenant nous voulons permettre a cfitsio d'être multi-thread. Pource faire allez dans le répertoire :

   /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/science/cfitsio

Editer le fichier : Portfile

Changer la ligne

   configure.cflags    -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

par

   configure.cflags    -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_REENTRANT

Puis:

   sudo port uninstall cfitsio
   sudo port -s install cfitsio

Vous pouvez aussi installer des bibliothèques optionnelles (recommandé) :

   sudo port install libraw
   sudo port install tiff
   sudo port install libpng
   sudo port install opencv

Maintenant vous pouvez installer manuellement libjpeg (si vous voulez travailler avec des images JPEG) :

   curl --remote-name http://www.ijg.org/files/jpegsrc.v9a.tar.gz
   tar -xzvf jpegsrc.v9a.tar.gz
   cd jpeg-9a
   ./configure --prefix=/usr/local
   make
   sudo make install

Maintenant vous pouvez installer manuellement giflib, pour pouvoir exporter des images GIF, qui est trop vieux dans macport: Téléchargez les sources de giflib ici

   https://sourceforge.net/projects/giflib/

et mettez les fichiers dans votre répertoire utilisateur

   tar -jxvf giflib-5.1.2.tar.bz2
   cd giflib-5.1.2
   ./configure
   make
   sudo make install

Installez la bibliothèque ffms2 qui n'est pas présente dans MacPorts. Téléchargez-la ici: https://github.com/FFMS/ffms2, en vous plaçant dans le dossier de ffms2, entrez depuis le terminal :

   ./configure --prefix=/opt/local
   make
   sudo make install

Téléchargez les sources de SIRIL

   svn co https://free-astro.org/svn/siril/branches/0.9/ siril

Dans le terminal, allez dans le dossier siril :

   cd siril

Générez le fichier configure en tapant :

   ./autogen.sh
   make

Pour installer Siril, utilisez l'habituel :

   sudo make install

Lancer Siril:

   siril

Enjoy!

Siril on MacOS.png

Installation sous Windows

Ces instructions permettent de compiler siril sur Windows avec MSYS2. Cela ne fonctionne pas avec les systèmes de fichiers FAT et Windows XP, et pas très bien avec les systèmes 32 bits.

Téléchargez MSYS2 64 bits, une distribution logicielle et une plate-forme de construction pour Windows et exécutez le programme d'installation - "x86_64" pour 64 bits. Lorsque vous y êtes invité, spécifiez le répertoire dans lequel MSYS2 64bit sera installé.

N'exécutez pas MSYS2 à partir du programme d'installation, fermez-le et exécutez MSYS2 64 bits (MINGW64BIT) à partir du menu Démarrer ou du raccourci.

Tout d’abord, mettez à jour la base de données de packages et les packages du système principal en les tapant (pour plus d’informations sur pacman, voir cette page):

   pacman -Syu

Installation des dépendances:

   pacman -S --needed base-devel mingw-w64-x86_64-toolchain mingw-w64-x86_64-cmake
   pacman -S git automake
   pacman -S mingw-w64-x86_64-fftw mingw-w64-x86_64-gsl
   pacman -S mingw-w64-x86_64-cfitsio mingw-w64-x86_64-gtk3
   pacman -S mingw-w64-x86_64-libconfig mingw-w64-x86_64-opencv
   pacman -S mingw-w64-x86_64-libraw mingw-w64-x86_64-ffms2
   pacman -S mingw-w64-x86_64-curl mingw-w64-x86_64-exiv2

Compiler Siril à partir des sources:

Le code source est stocké sur un dépôt de gitlab, vous pouvez le télécharger avec cette commande la première fois :

   git clone https://gitlab.com/free-astro/siril.git
   cd siril
   git submodule update --init

Dans le terminal, allez dans le dossier siril :

   cd siril

Compilez le code en tapant :

   ./autogen.sh
   make all install

Lancez Siril:

Exécutez MSYS2 64bit et taper la commande:

   siril

Vous pouvez également créer un raccourci vers siril.exe pour le démarrer. L’emplacement par défaut est /mingw64/bin/.

Pour mettre à jour la version :

Exécutez MSYS2 64bit et

   pacman -Syu
   cd siril
   git pull --recurse-submodules
   make all install

Si git pull ne montre aucun changement, il n'est pas nécessaire d'exécuter la commande make.